@echo on

set BUILD_DIR=build_w_goma

cl.exe
if %ERRORLEVEL% NEQ 0 goto :init_env
echo "[info] env already initialized"
goto :configure

:init_env
echo "[info] Initializing env"
call vcvarsall-2017.bat amd64

:configure
echo "[info] Cleaning build dir %BUILD_DIR%"
rmdir /s /q %BUILD_DIR%

for /f %%i in ('where gomacc') do set GOMACC_EXEC=%%i
set GOMACC_EXEC=%GOMACC_EXEC:\=/% 

cmake -S . -B %BUILD_DIR% -GNinja ^
-DCMAKE_C_COMPILER_LAUNCHER="%GOMACC_EXEC%" ^
-DCMAKE_CXX_COMPILER_LAUNCHER="%GOMACC_EXEC%"